<?php 

date_default_timezone_set('America/Lima');
session_start();
if($_SESSION["sistema"]!= "1"){ header("location: ../login/index.php"); exit();}
require_once ("../../config/Cado.php");

require_once ("../formatos/formato.php");

$y=date('Y');
$m=date('m');
$d=date('d');

$hora = date('G');

$dia = 17;

// $d = 17;



?>


<style type="text/css">
select{
cursor:pointer;	
}

</style>

<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Compra
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Operaciónes</li>
				<li class="breadcrumb-item active">Compra</li>
            </ol>
          </div>
		</div>
	</div>
</div>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;">
		    <div class="card">
		        <div class="card-header float-right">
		          <button id="btn_agregar" onClick="compra_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>	

				
					<div class="col-lg-2 col-md-2 col-sm-2 col-2 float-right" style="display: inline-block; white-space: nowrap;padding:0px;"  >
						<input id="chkopcionmodulo1" class="float-right" type="checkbox" checked data-toggle="toggle" data-on="<i class='fa fa-align-left'></i> REGISTROS" 
						data-off="<i class='fa fa-chart-area'></i> GRAFICAS" data-onstyle="danger" data-offstyle="warning" >	  
					</div>
				
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>





		<!-- formulario de registro -->
		<div class="modal fade" id="div_compra_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-xl" style="width:95%"   role="document" >

			<div class="modal-content">

			<div class="modal-body div_compra_form" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
					
		<!-- formulario de registro archivos -->			
		<div class="modal fade" id="div_compraarchivos_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog "  role="document" >

			<div class="modal-content">

			<div class="modal-body div_compraarchivos_form" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
				
		<!-- formulario de registro para proveedores -->
		<div class="modal fade" id="div_proveedor_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-lg"  role="document" >

			<div class="modal-content">

			<div class="modal-body div_proveedor_form"  >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
		
		<!-- formulario de registro -->
		<div class="modal fade" id="div_pago_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-lg" style=""   role="document" >

			<div class="modal-content">

			<div class="modal-body div_pago_form" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
		<!-- formulario de registro -->
		<div class="modal fade" id="div_productomarca_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-xl" role="document" >

			<div class="modal-content">

			<div class="modal-body div_productomarca_form" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>

		<div class="modal fade" id="div_servicio_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-lg" style=""   role="document" >

			<div class="modal-content">

			<div class="modal-body div_servicio_form"  >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
	<!-- formulario de mensaje -->
		<div class="modal" id="div_mensaje_dialog"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-md " >

			<div class="modal-content" style="padding:0px;">

			<div class="modal-body div_mensaje"  >

			
		
			
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>		
			

			
		<!-- busqueda de registros -->	
		<div id="div_compra_filtro"></div>
		<!-- tabla de registros -->	
		
<section class="content">
	<div class="container-fluid">
		<div class="row">
		<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 " style="padding:0px;">
				<div class="card">	
					<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="height:10px;"> </div>
					<div id="div_compra_tabla"></div>
					<div id="div_compra_grafica" style="display:none"></div>
				</div>
		</div>
		</div>
	</div>
</section>
		

	<script type="text/javascript">
	
	
	$("#file_archivo").fileinput({
        browseClass: "btn btn-success ",
		 browseLabel:"",
		 browseIcon: "<i class=\"fa fa-file-excel-o\"></i> ",
         showPreview : false,
		showCaption: false,
        showRemove: false,
        showUpload: false
    });
	
	
	
	
$("#file_archivo").change(function(){
	
	var file = $("#file_archivo")[0].files[0];
	var fileName = file.name;
	fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1);
	
	var formData = new FormData($("#formularioarchivo")[0]);

	if(fileExtension == "xlsx" || fileExtension == "xls"){
		
		$.ajax({
		type: "POST",
		url: "../compra/importar_datos.php",
		cache: false,
        contentType: false,
        processData: false,                
		data: formData,
		beforeSend: function() {
			//toastr["info"]('Procesando archivo');
			
			
			$("#msj_imporcompra").html('Procesando el archivo subido...');	
			$("#msj_imporcompra").show();	
        },
		success: function(rpt){
				
		},
		complete: function(data){			
			compra_tabla();
			$("#msj_imporcompra").hide();	
			toastr["info"]('Archivo procesado correctamente');	
		}
	});     
		
	}else{
		toastr["error"]('Seleccione un archivo Excel');
	}
});

	
	function ver_archivos(comid,numdoc){
			$('#div_compraarchivos_form_dialog').modal();
			$('body').css('overflow-y','hidden');
			
			$.ajax({
				type: "POST",
				url: "../compra/archivos_form.php",
				async:true,
				dataType: "html",                      
				data: ({
					comid:comid,
					numdoc:numdoc,
					vista:'compra_tabla'
				}),
				beforeSend: function() {
					var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
					
					$('.div_compraarchivos_form').html(div);
				},
				success: function(html){
					$('.div_compraarchivos_form').html(html);				
				}
			});
		}
		
			function pagos_form(idcompag){
			$('#div_pago_form_dialog').modal();
		//$('body').css('overflow-y','hidden');
			$.ajax({
				type: "POST",
				url: "../egreso/egreso_form_vista.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: 'ver_pagos',
					compag_id:	idcompag,
					vista:'cuenta_pagar'
				}),
				beforeSend: function() {
					var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
					$('.div_pago_form').html(div);
				},
				success: function(html){
					$('.div_pago_form').html(html);				
				}
			});
		}
		
		
		
	
		function compra_filtro()
		{
			
			
			$.ajax({
				type: "POST",
				url: "../compra/compra_filtro.php",
				async:true,
				dataType: "html",                      
			data: ({ }),
			beforeSend: function() {
				
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
				$('#div_compra_filtro').html(div);
			},
			success: function(html){
				$('#div_compra_filtro').html(html);
			},
			complete: function(){
				
					$('#chkopcionmodulo1').bootstrapToggle('on');
					$('#div_compra_grafica').hide('fade');
					$('#div_compra_tabla').show('fade');
		   
			}
		});
		}
		
		
	function compra_grafica()
		{
			$('#div_mensaje_dialog').modal('show');

			$.ajax({
				type: "POST",
				url: "../compra/compra_grafica.php",
				async:true,
				dataType: "html",                      
				data: $("#for_fil_comgra").serialize(), 
				beforeSend: function() {
						var divmen = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
					$('.div_mensaje').html(divmen);
					$('#div_compra_grafica').addClass("ui-state-disabled");
				},
				success: function(html){
					$('#div_compra_grafica').html(html);
				},
				complete: function(){			
					$('#div_compra_grafica').removeClass("ui-state-disabled");
					
					$('#div_mensaje_dialog').modal('hide');

			}
			});     
		}
		
		

		function compra_tabla()
		{
			$('#div_mensaje_dialog').modal('show');

			$.ajax({
				type: "POST",
				url: "../compra/compra_tabla.php",
				async:true,
				dataType: "html",                      
				data: $("#for_fil_com").serialize(), 
				beforeSend: function() {
						var divmen = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
					$('.div_mensaje').html(divmen);
					$('#div_compra_tabla').addClass("ui-state-disabled");
				},
				success: function(html){
					$('#div_compra_tabla').html(html);
				},
				complete: function(){			
					$('#div_compra_tabla').removeClass("ui-state-disabled");
					
					$('#div_mensaje_dialog').modal('hide');

			}
			});     
		}
		
		function compra_tabla2()
		{
			
			$.ajax({
				type: "POST",
				url: "../compra/compra_tabla.php",
				async:true,
				dataType: "html",                      
				data: $("#for_fil_com").serialize(), 
				beforeSend: function() {
					
					$('#div_compra_tabla').addClass("ui-state-disabled");
				},
				success: function(html){
					$('#div_compra_tabla').html(html);
				},
				complete: function(){			
					$('#div_compra_tabla').removeClass("ui-state-disabled");
					
					//$('#div_mensaje_dialog').modal('hide');
					$('.modal').modal('hide');
					$('.in').removeClass('modal-backdrop');	
			}
			});     
		}
		
		

		function producto_form(act,idf){
			$('#div_producto_form_dialog').modal();
			$.ajax({
				type: "POST",
				url: "../producto/producto_form.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act,
					pro_id:		idf,
					vista:	'compra_form'
				}),
				beforeSend: function() {
					var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
					$('.div_producto_form').html(div);
				},
				success: function(html){
					$('.div_producto_form').html(html);				
				}
			});
		}

		
		function compra_form(act,idf,pagar){
			$('#div_compra_form_dialog').modal();
		$('body').css('overflow-y','hidden');
			$.ajax({
				type: "POST",
				url: "../compra/compra_form.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act,
					com_id:	idf,
					com_pagar:pagar,
					vista:'compra_form'
				}),
				beforeSend: function() {
					var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	

					$('.div_compra_form').html(div);
				},
				success: function(html){
					$('.div_compra_form').html(html);				
				}
			});
		}

		function compra_precios(act){
			$.ajax({
				type: "POST",
				url: "../compra/compra_precios.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act
				}),
				beforeSend: function() {
				//$('#msj_compra').hide();
				$('#div_compra_precios').dialog("open");
				$('#div_compra_precios').html('Cargando..');
			},
			success: function(html){
				$('#div_compra_precios').html(html);				
			}
		});
		}

		function compra_precio_form(act,comid){
			$.ajax({
				type: "POST",
				url: "../compra/compra_precio_form.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act,
					com_id: comid
				}),
				beforeSend: function() {
				//$('#msj_compra').hide();
				$('#div_compra_precios').dialog("open");
				$('#div_compra_precios').html('Cargando..');
			},
			success: function(html){
				$('#div_compra_precios').html(html);				
			}
		});
		}
		

		function compra_anular(id)
		{
			  
			if(confirm("Realmente desea anular compra, se actualizará el stock. Desea continuar?")){
				 $('#div_mensaje_dialog').modal('show');
				
				$.ajax({
					type: "POST",
					url: "../compra/compra_anular.php",
					async:true,
					dataType: "json",
					data: ({
						action: "anular",
						com_id:		id
					}),
					beforeSend: function() {
						var divmen = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
						$('.div_mensaje').html(divmen);
					},
					success: function(data){
						
						toastr["success"](data.msj);
						 $('#div_mensaje_dialog').modal('hide');
					},
					complete: function(){
						compra_tabla();
					}
				});
			}
		}

		function eliminar_compra(id)
		{    
			$('#msj_compra').hide();  
			if(confirm("Realmente desea eliminar?")){
				$.ajax({
					type: "POST",
					url: "../compra/compra_reg.php",
					async:true,
					dataType: "html",
					data: ({
						action: "eliminar",
						com_id:		id
					}),
					beforeSend: function() {
						$('#msj_compra').html("Cargando...");
						$('#msj_compra').show(100);
					},
					success: function(html){
						$('#msj_compra').html(html);
						$('#msj_compra').show();
					},
					complete: function(){
						compra_tabla();
					}
				});
			}
		}

		function compra_reporte()
		{	
			$("#for_fil_com").submit();
		}

		function compra_reporte_xls(){
			$("#hdd_tabla").val( $("<div>").append( $("#tabla_compra").eq(0).clone()).html()); 
			$("#for_rep_xls").submit();
		}

	
		function producto_codbar_form(catid,nombre,codbar,stock){
			$.ajax({
				type: "POST",
				url: "../producto/producto_codbar_form.php",
				async:true,
				dataType: "html",                      
				data: ({
					cat_id:		catid,
					pro_nom:	nombre,
					pro_codbar:	codbar,
					pro_sto:	stock,
					vista:		'compra'
				}),
				beforeSend: function() {
					$('#div_producto_codbar_form').dialog("open");
					$('#div_producto_codbar_form').html('Cargando..');
				},
				success: function(html){
					$('#div_producto_codbar_form').html(html);			
				}
			});
		}

			function servicio_form(act,dias){
				
			$('#div_servicio_form_dialog').modal();
			$('body').css('overflow-y','hidden');
			$.ajax({
				type: "POST",
				url: "../serviciopago/serviciopago_form.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act,
					dias:dias
				}),
				beforeSend: function() {
					var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
					$('.div_servicio_form').html(div);
				},
				success: function(html){
					$('.div_servicio_form').html(html);				
				}
			});
		}
		

		$(function() {

		$('#chkopcionmodulo1').bootstrapToggle();
		
		
	 $('#chkopcionmodulo1').change(function() {
      if($(this).prop('checked')==true){
		  
		   $('#div_compra_grafica').hide('fade');
		   $('#div_compra_tabla').show('fade');
		   
		   $('#filtrograficos').hide('fade');
		   $('#filtroregistros').show('fade');
		  
		  
	  }else if($(this).prop('checked')==false){
		  
		   $('#div_compra_grafica').show('fade');
		   $('#div_compra_tabla').hide('fade');
		   
		   $('#filtrograficos').show('fade');
		   $('#filtroregistros').hide('fade');
		      
	  }
    });
		
		
		

		$('#btn_actualizar').click(function() {
			$("#contenido").load("../compra/compra_vista.php");
		});
 
		$("#div_mensaje_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});
	
		$("#div_proveedor_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','hidden');
		});
	
		
		$("#div_compraarchivos_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});


		$("#div_compra_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});
 
		$("#div_mensaje_dialog").on('hidden.bs.modal', function () {
			$('body').css('padding-right','0px');
			});
 
		compra_filtro(); 
		
		$('body').css('overflow-y','scroll');
			
			
		setTitle("MODULO DE COMPRAS - "+nombreEmpresa);	

		});
	</script>
	
<!--	
<script src="../../admin/dist/js/uploadifive/jquery.uploadifive.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="../../admin/dist/js/uploadifive/uploadifive.css"> 

<link rel="stylesheet" href="../../admin/dist/js/colorbox/example1/colorbox.css">
<script src="../../admin/dist/js/colorbox/jquery.colorbox-min.js"></script>
-->
